Rated 5 out of 5 stars

I take that back. This add-on is compatible. The issue was with my firewall not letting Thunderbird through. Setting new rules in the firewall solves the problem. I apologize.

Dié resensie is oor 'n vorige weergawe van dié byvoeging (3.3.1). 

Copatibility issue Rated 3 out of 5 stars

This add-on is incompatible with Thunderbird 4 to 6.

Dié resensie is oor 'n vorige weergawe van dié byvoeging (3.3.1). 

Check your firewall

This add-on is compatible from Thunderbird 2.0a1 to 9.0a1. Please check your firewall, something is preventing Thunderbird from checking the compatibility with AMO (this overrides compatibility values expressed in install.rdf).